Package pywbem :: Module cim_obj :: Class CIMQualifierDeclaration

[frames] | no frames]

# Class CIMQualifierDeclaration

source code

    object --+
             |
            CIMQualifierDeclaration

A CIM qualifier type.

A qualifier type is the declaration of a qualifier.

Instance Methods

__init__(self, name, type, value=None, is_array=False, array_size=None, scopes=`{``}`, overridable=None, tosubclass=None, toinstance=None, translatable=None) Initialize the CIMQualifierDeclaration object. | source code

copy(self) | source code

__repr__(self) repr(x) | source code

__cmp__(self, other) | source code

tocimxml(self) | source code

tomof(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables
| ... All parameters of __init__ are set as instance variables.

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name, type, value=None, is_array=False, array_size=None, scopes=`{``}`, overridable=None, tosubclass=None, toinstance=None, translatable=None)
(Constructor)

source code

Initialize the CIMQualifierDeclaration object.

TODO: add description

Overrides: object.__init__

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)